{% extends 'base.html.twig' %}

{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset('css/table-display.css') }}">
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('script/actions_utilisateurs.js') }}"></script>
{% endblock %}

{% block title %}User index{% endblock %}

{% block body %}
    <h1>User index</h1>

    <select id="multiple_action_selector" name="mas">
        <option value="">-- Choisir une action --</option>
        <option value="disable">Rendre inactif</option>
        <option value="delete">Supprimer</option>
    </select>
    <button id="submit_action_multiple">Valider</button>

    <table class="table">
        <thead>
            <tr>
                <th><input type="checkbox" id="check_all"/></th>
                <th>Id</th>
                <th>Email</th>
                <th class="xs-hide">Roles</th>
                <th class="xs-hide">Nom</th>
                <th class="xs-hide">Prenom</th>
                <th class="xs-hide">Telephone</th>
                <th class="xs-hide">Actif</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td><input type="checkbox" class="cb_select" id="action_{{ user.id }}"/></td>
                <td>{{ user.id }}</td>
                <td>{{ user.email }}</td>
                <td class="xs-hide">{{ user.roles ? user.roles|json_encode : '' }}</td>
                <td class="xs-hide">{{ user.nom }}</td>
                <td class="xs-hide">{{ user.prenom }}</td>
                <td class="xs-hide">{{ user.telephone }}</td>
                <td class="xs-hide">{{ user.actif ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('app_user_show', {'id': user.id}) }}"><span class="material-symbols-outlined" title="Consulter">manage_search</span></a>
                    <a href="{{ path('app_user_edit', {'id': user.id}) }}"><span class="material-symbols-outlined" title="Modifier">edit</span></a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="9">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="btn_link" href="{{ path('app_register') }}">Créer un utilisateur</a>
    <form method="POST" action="{{ path('app_register_multiple_users') }}" enctype="multipart/form-data">
        <label for="csv_users">Intégrer des utilisateurs : </label>
        <input type="file" name="csv_users" id="csv_users" required="required"/>
        <input type="submit" value="Enregistrer"/>
    </form>
{% endblock %}
